# CMake package configuration file for dime
#
# Defines the target "dime::dime"
#
# Add the following lines to your CMakeLists.txt to depend on dime
#
#    find_package(dime REQUIRED)
#    target_link_libraries(my_target_name dime::dime)
#
# Additionally you may one of the following variables (or their corresponding
# upper case version) that are also defined.
#
# dime_COMPILE_DEFINITIONS
# dime_DEFINITIONS
# dime_INCLUDE_DIRS
# dime_INCLUDE_DIR
# dime_LIBRARY
# dime_LIBRARIES
# dime_LIBRARY_DIRS
# dime_LIBRARY_DIR
#
# However, in most cases using the dime::dime target is sufficient,
# and you won't need these variables.


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was dime-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

include("${CMAKE_CURRENT_LIST_DIR}/dime-export.cmake")

get_property(dime_COMPILE_DEFINITIONS TARGET dime::dime PROPERTY INTERFACE_COMPILE_DEFINITIONS)
foreach(_def ${dime_COMPILE_DEFINITIONS})
  list(APPEND dime_DEFINITIONS -D${_def})
endforeach()

set(dime_VERSION 0.9.1)

get_property(dime_INCLUDE_DIRS TARGET dime::dime PROPERTY INTERFACE_INCLUDE_DIRECTORIES)
set(dime_INCLUDE_DIR ${dime_INCLUDE_DIRS})
set(dime_LIBRARY dime::dime)
get_property(dime_LIBRARIES TARGET dime::dime PROPERTY INTERFACE_LINK_LIBRARIES)
set(dime_LIBRARIES dime::dime ${dime_LIBRARIES})

set_and_check(dime_LIBRARY_DIRS "${PACKAGE_PREFIX_DIR}/lib")
set(dime_LIBRARY_DIR ${dime_LIBRARY_DIRS})

# For backwards compatibility define upper case versions of output variables
foreach(_var
  dime_COMPILE_DEFINITIONS
  dime_DEFINITIONS
  dime_INCLUDE_DIRS
  dime_INCLUDE_DIR
  dime_LIBRARY
  dime_LIBRARIES
  dime_LIBRARY_DIRS
  dime_LIBRARY_DIR
  dime_VERSION
  )
  string(TOUPPER ${_var} _uppercase_var)
  set(${_uppercase_var} ${${_var}})
endforeach()
